| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/material.h File Reference

Material interfaces. More...

`#include "csutil/scf.h"`
`#include "iutil/strset.h"`

Go to the source code of this file.

## Classes
struct | iMaterialEngine
| This interface represents the engine part of the material definition. More...
struct | iMaterialList
| This class represents a list of materials. More...
struct | iMaterialWrapper
| A material wrapper is an engine-level object that wraps around an actual material (iMaterial). More...

## Detailed Description

Material interfaces.

Definition in file material.h.